import 'package:test/test.dart';

import 'test_utils.dart';

void main() {
  test('tag and content', () {
    var story = loadStory('tags/tags.ink.json');

    final globalTags = ['author: Joe', 'title: My Great Story'];
    final knotTags = ['knot tag'];
    final stitchTags = ['stitch tag'];
    final knotTagWhenContinuedTwice = ["end of knot tag"];

    expect(story.globalTags, containsAll(globalTags));

    expect(story.Continue(), 'This is the content\n');
    expect(story.currentTags, globalTags);

    expect(knotTags, story.TagsForContentAtPath("knot"));
    expect(stitchTags, story.TagsForContentAtPath("knot.stitch"));

    story.ChoosePathString("knot");

    expect(
      story.Continue(),
      "Knot content\n",
    );

    expect(story.currentTags, knotTags);

    expect(story.canContinue, true);

    expect(story.Continue(), '');

    expect(story.currentTags, knotTagWhenContinuedTwice);
  });
}
